error while loading shared libraries: liblua5.1.so.0: cannot open shared obj-转载

阅读次数: 1,767

  • A+
所属分类:建站
error while loading shared libraries: liblua5.1.so.0: cannot open shared obj-转载
apt --fix-broken install

应该就可以了

不行再往下
1.ubuntu下安装nginx时依赖库zlib,pcre,openssl安装方法

查看zlib是否安装:
dpkg -l | grep zlib
解决依赖包openssl安装,命令:
sudo apt-get install openssl libssl-dev
解决依赖包pcre安装,命令:
sudo apt-get install libpcre3 libpcre3-dev
解决依赖包zlib安装,命令:
sudo apt-get install zlib1g-dev

2.安装luajit

wget http://luajit.org/download/LuaJIT-2.0.4.tar.gz
tar xf LuaJIT-2.0.4
cd LuaJIT-2.0.4
make && make install
/sbin/ldconfig

原文地址:https://www.jianshu.com/p/13bd3c074de4

  • 我的微信
  • 这是我的微信扫一扫
  • weinxin
  • 我的微信公众号
  • 我的微信公众号扫一扫
  • weinxin

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: